<?php
/**
 * Single Post Options
 */

$wp_customize->add_section(
	'early_news_single_page_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'early-news' ),
		'panel' => 'early_news_theme_options_panel',
	)
);

// Enable single post category setting.
$wp_customize->add_setting(
	'early_news_enable_single_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_single_category',
		array(
			'label'    => esc_html__( 'Enable Category', 'early-news' ),
			'settings' => 'early_news_enable_single_category',
			'section'  => 'early_news_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post author setting.
$wp_customize->add_setting(
	'early_news_enable_single_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_single_author',
		array(
			'label'    => esc_html__( 'Enable Author', 'early-news' ),
			'settings' => 'early_news_enable_single_author',
			'section'  => 'early_news_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post date setting.
$wp_customize->add_setting(
	'early_news_enable_single_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_single_date',
		array(
			'label'    => esc_html__( 'Enable Date', 'early-news' ),
			'settings' => 'early_news_enable_single_date',
			'section'  => 'early_news_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post tag setting.
$wp_customize->add_setting(
	'early_news_enable_single_tag',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_single_tag',
		array(
			'label'    => esc_html__( 'Enable Post Tag', 'early-news' ),
			'settings' => 'early_news_enable_single_tag',
			'section'  => 'early_news_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Single post related Posts title label.
$wp_customize->add_setting(
	'early_news_related_posts_title',
	array(
		'default'           => __( 'Related Posts', 'early-news' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'early_news_related_posts_title',
	array(
		'label'    => esc_html__( 'Related Posts Title', 'early-news' ),
		'section'  => 'early_news_single_page_options',
		'settings' => 'early_news_related_posts_title',
	)
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'early_news_related_posts_title',
		array(
			'selector'            => '.theme-wrapper h2.related-title',
			'settings'            => 'early_news_related_posts_title',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
		)
	);
}
